summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2020-05-17 15:38:49 +0200
committerJeroen Roovers <jer@gentoo.org>2020-05-17 15:41:49 +0200
commit49b49044d1390ca4f3bdf1558917aa775a12581b (patch)
treedf831c40ad93311b82a9eb26526d7f03d3b6647c
parentapp-eselect/eselect-sh: Remove posh from targets (diff)
downloadgentoo-49b49044d1390ca4f3bdf1558917aa775a12581b.tar.gz
gentoo-49b49044d1390ca4f3bdf1558917aa775a12581b.tar.bz2
gentoo-49b49044d1390ca4f3bdf1558917aa775a12581b.zip
x11-wm/wmfs: Respect CFLAGS/LDFLAGS, fix man page
Package-Manager: Portage-2.3.99, Repoman-2.3.22 Bug: https://bugs.gentoo.org/706654 Signed-off-by: Jeroen Roovers <jer@gentoo.org>
-rw-r--r--x11-wm/wmfs/wmfs-201003.ebuild15
1 files changed, 12 insertions, 3 deletions
diff --git a/x11-wm/wmfs/wmfs-201003.ebuild b/x11-wm/wmfs/wmfs-201003.ebuild
index 14da5d0b915..27bdfa3ef56 100644
--- a/x11-wm/wmfs/wmfs-201003.ebuild
+++ b/x11-wm/wmfs/wmfs-201003.ebuild
@@ -1,8 +1,8 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
-inherit cmake-utils eutils
+EAPI=7
+inherit cmake
DESCRIPTION="Window Manager From Scratch, A tiling window manager highly configurable"
HOMEPAGE="https://github.com/xorg62/wmfs"
@@ -31,8 +31,17 @@ PATCHES=(
"${FILESDIR}"/${PN}-201003-pthread.patch
)
+src_prepare() {
+ cmake_src_prepare
+ sed -i \
+ -e '/set(CFLAGS/d' \
+ -e '/set(LDFLAGS/s#)# ${LDFLAGS}&#' \
+ CMakeLists.txt || die
+}
+
src_install() {
- cmake-utils_src_install
+ cmake_src_install
rm -r "${D}"/usr/share/${PN}
+ find "${D}"/usr/share/man -name '*.gz' -exec gunzip {} \; || die
dodoc README TODO rc/status.sh
}